Skip to main content
GET
/
inbox
/
email
/
messages
List email messages
curl --request GET \
  --url https://api.altahq.com/v1/inbox/email/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "objectType": "email_message",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "subject": "<string>",
      "body": "<string>",
      "recipients": {
        "to": [
          {
            "name": "<string>",
            "email": "jsmith@example.com"
          }
        ],
        "cc": [
          {
            "name": "<string>",
            "email": "jsmith@example.com"
          }
        ],
        "bcc": [
          {
            "name": "<string>",
            "email": "jsmith@example.com"
          }
        ]
      },
      "sentAt": "2023-11-07T05:31:56Z",
      "emailThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "from": {
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "hasMore": true,
  "next": "<string>",
  "previous": "<string>"
}
Returns a paginated list of email message objects.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Maximum number of results to return (1–100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the next or previous value from a prior response.

emailThreadId
string<uuid>

Filter messages by email thread ID.

campaignId
string<uuid>

Filter messages by campaign ID.

prospectId
string<uuid>

Filter messages by prospect ID.

repId
string<uuid>

Filter messages by rep ID.

status
enum<string>

Filter by message status.

Available options:
sent,
draft
type
enum<string>

Filter by message type.

Available options:
manual,
campaign,
reply_agent,
received
tag
string

Filter messages by tag.

onlyLastMessagePerThread
enum<string>

When true, returns only the last message per thread.

Available options:
true

Response

A paginated list of email messages

data
object[]
required
hasMore
boolean
required
next
string
previous
string